<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Landing</title>
	<link rel="stylesheet" type="text/css" href="auth_style.css">
</head>
<body>
<div class="podshapka" id="verx">
<div class="shapka">
<img class="logo" src="../../media1/logo.png"> </img>
<a href="#Search">Search</a>
<a href="../../index.html">Promotions</a>

</div>
</div>
<div class="auth" id="auth">
<div class="hz">
<h1>Авторизация</h1>
<form>
    <input type="tel" placeholder="Номер телефона" required>
    <input type="password" placeholder="Пароль" required>
    <input type="submit" value="Вход">
    <input type="button" value="Регистрация" onclick="location='../reg/reg.html'">
</form>
</div>
</div>


<div id="openModal" class="modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
		      <a href="#close" title="Close" class="close">close</a>
           <p class="pmodal">Phone: 8 (800) 100-10-10</p>
          </div>
        </div>
      </div>
    </div>
	
	 <script>
    document.addEventListener("DOMContentLoaded", function () {
      var scrollbar = document.body.clientWidth - window.innerWidth + 'px';
      console.log(scrollbar);
      document.querySelector('[href="#openModal"]').addEventListener('click', function () {
        document.body.style.overflow = 'hidden';
        document.querySelector('#openModal').style.marginLeft = scrollbar;
      });
      document.querySelector('[href="#close"]').addEventListener('click', function () {
        document.body.style.overflow = 'visible';
        document.querySelector('#openModal').style.marginLeft = '0px';
      });
    });
  </script>
</body>
<footer>
<div class="h6">
<a>Phone: 8 (800) 100-10-10</a> 
<a href="../../index.html">Return</a>
<a href="#openModal">Contact </a>
<a href="../reg/reg.html">Sign up</a>
</div>
</footer>
</html>